<div class="periods" [ngClass]="{'has-vehicule': isTadLine}" [formGroup]="formGroup" *ngIf="!isLoading">
  <mat-tab-group [disableRipple]="true" (selectedTabChange)="changeSelectedPeriod($event)">
    <mat-tab *ngFor="let tab of periods; let index = index" [label]="tab.periode" [formGroupName]="tab.periode">
      <div class="header">
        <div>{{ 'LINE_INFO.BEGINNING' | translate }}</div>
        <div>{{ 'LINE_INFO.END' | translate }}</div>
        <div>{{ 'LINE_INFO.INTERVAL' | translate }}</div>
        <div *ngIf="isTadLine">Véhicule</div>
        <div></div>
      </div>
      <ng-container *ngFor="let period of formGroup.controls[tab.periode]['controls']; let i = index;">
        <div [formGroupName]="i" class="input-group">
          <geodesign-input-time-picker [formControl]="period.controls['debut']"></geodesign-input-time-picker>
          <geodesign-input-time-picker [formControl]="period.controls['fin']"></geodesign-input-time-picker>
          <geodesign-input-text [formControl]="period.controls['frequence']"
                                [suffix]="'UNIT.ABBR.MINUTE' | translate"></geodesign-input-text>
          <geodesign-input-text *ngIf="period.controls['veh']" [formControl]="period.controls['veh']"></geodesign-input-text>
          <i *ngIf="!line.modecourse" class="icon-icomoon-remove" (click)="removePeriod(i)"></i>
        </div>
      </ng-container>
      <div class="button-add" *ngIf="!line.modecourse">
        <geodesign-button styles="tertiary" (clickButton)="addPeriod()">{{ 'LINE_INFO.ADD_PERIOD' | translate }}</geodesign-button>
      </div>
    </mat-tab>
  </mat-tab-group>
  <geodesign-line-number-round-trip [line]="line" [indexSelectedPeriod]="indexSelectedPeriod" [selectedPeriod]="selectedPeriod"></geodesign-line-number-round-trip>
</div>
